package com.boot.security.server.controller;

import com.boot.security.server.page.table.PageTableRequest;
import com.boot.security.server.service.CopyrightBookService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/copyrightBookController")
public class CopyrightBookController {
    @Autowired
    CopyrightBookService copyrightBookService;

    @PostMapping("/settlementMonth")
    @ApiOperation(value = "获取月结算数据")
    @ResponseBody
    public String getSettlementMonthData(@RequestBody PageTableRequest request) {
        return copyrightBookService.selectSettlement(request.getBaseSettlement(),request.getPage(),request.getLimit());
    }

    @PostMapping("/getAllCopyright")
    @ApiOperation(value = "获取月结算数据")
    @ResponseBody
    public String getAllCopyright(@RequestBody PageTableRequest request){
        return copyrightBookService.getAllCopyright();
    }
}
